Bug 166818 - alsa-lib - complaints from installation scripts
Summary: alsa-lib - complaints from installation scripts
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-26 03:25 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: "alsa-lib-1.0.9rf-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 11:47:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2005-08-26 03:25:13 UTC
Description of problem:

While installing an update to alsa-lib I got few times (on x86_64 with
libraries for different architectures):

.....
Version 0.4

Usage: ainit user_name start|stop [--version] [--help]


Looking at installation scriplets that likely meand that
/var/run/console/console.lock was found but not with an expected content.

BTW, a script like /etc/hotplug/usb/usbcam looks for console.lock file
in few different places.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.9rf-3

Comment 1 Martin Stransky 2005-08-29 10:23:40 UTC
Which version of pam do you have?
Could you please attach the /var/run/console/console.lock file?

Comment 2 Michal Jaegermann 2005-08-29 15:39:11 UTC
> Which version of pam do you have?

pam-0.80-7 at this moment. It was installed on 25 Aug 2005.

> Could you please attach the /var/run/console/console.lock file?

I am afraid that there is nothing to attach.  Such file does not exist.
'find /var -name console.lock' does not report it somewhere else either.
At least current alsa-lib package scripts have a check for this contigency
but this means that /usr/bin/ainit will not run.  No idea what practical
effects this will have.  Why it is important that during an de/installation
ainit runs for whomever happens to be listed in console.lock, if such thing
does exist, and not just simply for root?  "Random User" cannot install.

Comment 3 Martin Stransky 2005-08-30 11:47:55 UTC
If you run ainit for root, only root will be able to use sound card. So I added
check for configuration reloading for the current user, which is using
soundcard. If you are root, you can use the soundcard anyway.


Note You need to log in before you can comment on or make changes to this bug.